import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { TranslateService } from "@ema/core";
export declare class Form {
    constraints: any;
    definitions: any;
    entityForm: any;
    form: HTMLFormElement;
    submitHandler: any;
    translateService: TranslateService;
    el: HTMLElement;
    entity: any;
    action: string;
    dataJson: string;
    dataType: string;
    definitionsJson: string;
    entityJson: string;
    formClass: string;
    language: string;
    method: string;
    resettable: boolean;
    submitError: string;
    submitLabel: string;
    constructor();
    componentDidLoad(): void;
    componentDidUpdate(): void;
    postRender(): void;
    handleSubmit(e: Event): Promise<void>;
    formSubmit: EventEmitter;
    formSubmitHandler(): void;
    setData(data: any): Promise<void>;
    setEntity(entity: any): Promise<void>;
    setDefinitions(definitions: any): Promise<void>;
    setConstraints(constraints: any): Promise<void>;
    setSubmitInterceptor(submitFn: any): Promise<void>;
    setTranslateService(instance: any): Promise<void>;
    update(): Promise<void>;
    initValidations(): void;
    showErrors(form: any, errors: any): void;
    showErrorsForInput(input: any, errors: any): void;
    logErrors(errors: any, fieldName?: string): void;
    closestParent(child: any, className: any): any;
    resetFormGroup(formGroup: HTMLElement): void;
    addError(messages: any, error: any): void;
    translate(str: string): string;
    render(): JSX.Element;
}
